Package org.eclipse.ecf.provider.remoteservice.generic

# Class Request

java.lang.Object
org.eclipse.ecf.provider.remoteservice.generic.Request

All Implemented Interfaces:
  `Serializable`

public class Request extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Request(ID requestContainerID, long serviceId, RemoteCallImpl call)`
`Request(ID requestContainerID, long serviceId, RemoteCallImpl call, IRemoteCallListener listener)`

## Method Summary

Modifier and Type
Method
Description
`RemoteCallImpl`
`getCall()`
`protected IRemoteCallListener`
`getListener()`
`ID`
`getRequestContainerID()`
`long`
`getRequestId()`
`protected Response`
`getResponse()`
`long`
`getServiceId()`
`protected boolean`
`isDone()`
`protected void`
`setDone(boolean val)`
`protected void`
`setResponse(Response response)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Request

public Request(ID requestContainerID, long serviceId, RemoteCallImpl call)

### Request

public Request(ID requestContainerID, long serviceId, RemoteCallImpl call, IRemoteCallListener listener)

## Method Details

### getRequestId

public long getRequestId()

### getRequestContainerID

public ID getRequestContainerID()

### getServiceId

public long getServiceId()

### getCall

public RemoteCallImpl getCall()

### setResponse

protected void setResponse(Response response)

### getResponse

protected Response getResponse()

### isDone

protected boolean isDone()

### setDone

protected void setDone(boolean val)

### getListener

protected IRemoteCallListener getListener()

### toString

public String toString()

Overrides:
  `toString` in class `Object`